package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouAccountMaterialReportDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手账户素材报表清洗表
 *
 * @author: jeecg-boot
 * @date: 2021-02-25
 * @cersion: V1.0
 */
public interface EtlKuaishouAccountMaterialReportDailyMapper extends BaseMapper<EtlKuaishouAccountMaterialReportDaily> {

    void etlKuaishouAccountMaterialReportDailyData(@Param(value = "date") String date);

    List<EtlKuaishouAccountMaterialReportDaily> etlKuaishouAccountMaterialReportDailyList(@Param(value = "date") String date, @Param(value = "accountId") Long accountId);

    void replaceBatch(@Param(value = "records") List<EtlKuaishouAccountMaterialReportDaily> getList);

    void replace(@Param(value = "report") EtlKuaishouAccountMaterialReportDaily report);

    void etlKuaishouVideoReportStateDate();

    void etlKuaishouVideoCompanyInfo();

    void etlKuaishouVideoTypeZz(@Param(value = "videoType") String videoType);

    void etlKuaishouVideoTypeZr(@Param(value = "videoType") String videoType);

    void etlBytedanceVideoTypeZr(@Param(value = "videoType") String videoType);

    void etlBytedanceVideoTypeZz(@Param(value = "videoType") String videoType);

    void addBatch(@Param("addList") List<EtlKuaishouAccountMaterialReportDaily> addList);

    List<String> getDateList();

    List<Long> getAccountList(String date);
}
